API Guide Home (Online version only) |

# palmOneStatusBar.h File Reference

## Detailed Description

Public common header file for palmOne defined Status Bar library.

Version:
  1.0

This file contains the function prototypes and constants for the palmOne Status Bar Library

Definition in file palmOneStatusBar.h.

Include dependency graph for palmOneStatusBar.h:

Go to the source code of this file.

## Defines

Library Constants

- #define palmOneStatusBarLibName "StatusBarMgrLib"
- #define palmOneStatusBarLibCreator 'sBar'
- #define palmOneStatusBarLibType sysFileTLibrary
- #define palmOneStatusBarFtrNumVersion (0)

Error Codes

- #define palmOneStatusBarErrorClass (appErrorClass | 0x0900)
- #define palmOneStatusBarErrNoStatusBar (palmOneStatusBarErrorClass | 1)
- #define palmOneStatusBarErrInvalidSelector (palmOneStatusBarErrorClass | 2)
- #define palmOneStatusBarErrInputWindowOpen (palmOneStatusBarErrorClass | 3)
- #define palmOneStatusBarErrBadParam (palmOneStatusBarErrorClass | 101)
- #define palmOneStatusBarErrInvalidState (palmOneStatusBarErrorClass | 102)

Function Traps

- #define kPalmOneStatusBarMgrLibTrapOpen sysLibTrapOpen
- #define kPalmOneStatusBarMgrLibTrapClose sysLibTrapClose
- #define kPalmOneStatusBarMgrLibGetAttribute (sysLibTrapCustom)
- #define kPalmOneStatusBarMgrLibHide (sysLibTrapCustom + 1)
- #define kPalmOneStatusBarMgrLibShow (sysLibTrapCustom + 2)

## Typedefs

- typedef enum PalmOneStatAttrTypeTag PalmOneStatAttrType

## Enumerations

- enum PalmOneStatAttrTypeTag {
  palmOneStatusBarAttrExists = 0,
  palmOneStatusBarAttrBarVisible,
  palmOneStatusBarAttrDimension
  }

## Functions

- Err PalmOneStatusBarLibOpen (UInt16 refnum)
    Standard open library routine.
- Err PalmOneStatusBarLibClose (UInt16 refnum)
    Standard close library routine.
- Err PalmOneStatusBarGetAttribute (UInt16 refnum, PalmOneStatAttrType selector, UInt32 *dataP)
    Retrieve the current state of the status bar.
- Err PalmOneStatusBarHide (UInt16 refnum)
    Hide the status bar from the bottom of the screen.
- Err PalmOneStatusBarShow (UInt16 refnum)
    Unhide/show the status bar at the bottom of the screen.

## Define Documentation

#define kPalmOneStatusBarMgrLibGetAttribute (sysLibTrapCustom)

Definition at line 84 of file palmOneStatusBar.h.

#define kPalmOneStatusBarMgrLibHide (sysLibTrapCustom + 1)

Definition at line 85 of file palmOneStatusBar.h.

#define kPalmOneStatusBarMgrLibShow (sysLibTrapCustom + 2)

Definition at line 86 of file palmOneStatusBar.h.

#define kPalmOneStatusBarMgrLibTrapClose sysLibTrapClose

Definition at line 83 of file palmOneStatusBar.h.

#define kPalmOneStatusBarMgrLibTrapOpen sysLibTrapOpen

Definition at line 82 of file palmOneStatusBar.h.

#define palmOneStatusBarErrBadParam (palmOneStatusBarErrorClass | 101)

Definition at line 62 of file palmOneStatusBar.h.

#define palmOneStatusBarErrInputWindowOpen (palmOneStatusBarErrorClass | 3)

Definition at line 61 of file palmOneStatusBar.h.

#define palmOneStatusBarErrInvalidSelector (palmOneStatusBarErrorClass | 2)

Definition at line 60 of file palmOneStatusBar.h.

#define palmOneStatusBarErrInvalidState (palmOneStatusBarErrorClass | 102)

Definition at line 63 of file palmOneStatusBar.h.

#define palmOneStatusBarErrNoStatusBar (palmOneStatusBarErrorClass | 1)

Definition at line 59 of file palmOneStatusBar.h.

#define palmOneStatusBarErrorClass (appErrorClass | 0x0900)

Definition at line 58 of file palmOneStatusBar.h.

#define palmOneStatusBarFtrNumVersion (0)

Version of the currently supported features

Definition at line 50 of file palmOneStatusBar.h.

#define palmOneStatusBarLibCreator 'sBar'

StatusBar library creator ID

Definition at line 48 of file palmOneStatusBar.h.

#define palmOneStatusBarLibName "StatusBarMgrLib"

StatusBar library name

Definition at line 47 of file palmOneStatusBar.h.

#define palmOneStatusBarLibType sysFileTLibrary

Default library type

Definition at line 49 of file palmOneStatusBar.h.

## Typedef Documentation

typedef enum PalmOneStatAttrTypeTag PalmOneStatAttrType

Status Bar Attributes

## Enumeration Type Documentation

enum PalmOneStatAttrTypeTag

Status Bar Attributes

Enumerator:

  palmOneStatusBarAttrExists | device supports the status bar
  palmOneStatusBarAttrBarVisible | status bar is visible
  palmOneStatusBarAttrDimension | bounds of status bar window

Definition at line 69 of file palmOneStatusBar.h.

    00070 {
    00071     palmOneStatusBarAttrExists     = 0,         /**< device supports the status bar */
    00072     palmOneStatusBarAttrBarVisible,             /**< status bar is visible */
    00073     palmOneStatusBarAttrDimension               /**< bounds of status bar window */
    00074 } PalmOneStatAttrType;

## Function Documentation

Err PalmOneStatusBarGetAttribute | ( | UInt16 | refnum,
|  | PalmOneStatAttrType | selector,
|  | UInt32 * | dataP |
| ) |  |  |

Retrieve the current state of the status bar.

Parameters:

  | refnum,: | IN: Library reference number
  | selector,: | IN: Attribute selector (dimension or status)
  | *dataP,: | IN: Pointer to the returned attribute value.

Returns:
  Error code.

Err PalmOneStatusBarHide | ( | UInt16 | refnum | ) |

Hide the status bar from the bottom of the screen.

Parameters:

  | refnum,: | IN: Library reference number

Returns:
  Error code.

Err PalmOneStatusBarLibClose | ( | UInt16 | refnum | ) |

Standard close library routine.

Parameters:

  | refnum,: | IN: Library reference number

Returns:
  Error code.

Err PalmOneStatusBarLibOpen | ( | UInt16 | refnum | ) |

Standard open library routine.

Parameters:

  | refnum,: | IN: Library reference number

Returns:
  Error code.

Err PalmOneStatusBarShow | ( | UInt16 | refnum | ) |

Unhide/show the status bar at the bottom of the screen.

Parameters:

  | refnum,: | IN: Library reference number

Returns:
  Error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:55 2008 for Palm API Guide